bfin ezlite 537 gdb make all error

Ralf Corsepius ralf.corsepius at rtems.org
Wed Nov 3 08:50:14 CDT 2010


On 11/03/2010 02:05 PM, Eugene Shvets wrote:
> Well, I am confused.
> First, I managed to build gcc. I remade and re-installed binutils and then
> removed gcc-obj tar archieve.
> However I cannot build gdb now.
>   I don't use RPM because I don't understand what it is and I don't have a
> clue how to work with it.
>   However it is not important, I am building with configure\make.
>   GDB make all gives an error (configured with ../gdb-7.2/configure
> --target=bfin-rtems4.11  --prefix=/opt/rtems-4.11)
> "configure: error: configuration bfin-unknown-rtems4.11 is unsupported."
> I have a thought : there are 537 and 533 bsp's . However when I typed
> --target=bfin-rtems4.11 I didn't specify which one I want to use. May the
> error be that it is nesessary to specify somehow what bsp should be used?
Like all other components of the gnu-toolchain, gdb is independent of 
any BSP.

>   The major concern is gdb make all error now.
You are not providing sufficient information about what happens, nor are
still have not providing any details about what you are trying to do.

That said, I am sorry, but I am feeling you are wasting your and our time.

> Another question : what does this link provide :
> https://blackfin.uclinux.org/gf/project/toolchain/frs/
> is it a ready toolchain ? I downloaded some files but could not get any use
> of it.
These are an other OS's toolchain. They are unusable for RTEMS and are 
not what you are looking for.

Ralf



More information about the rtems-users mailing list